slabad.f(3)

NAME
slabad.f

SYNOPSIS

  Functions/Subroutines
subroutine slabad (SMALL, LARGE)
SLABAD

Function/Subroutine Documentation

  subroutine slabad (real SMALL, real LARGE)

Purpose:

     SLABAD takes as input the values computed by SLAMCH for underflow and
     overflow, and returns the square root of each of these values if the
     log of LARGE is sufficiently large.  This subroutine is intended to
     identify machines with a large exponent range, such as the Crays, and
     redefine the underflow and overflow limits to be the square roots of
     the values computed by SLAMCH.  This subroutine is needed because
     SLAMCH does not compensate for poor arithmetic in the upper half of
     the exponent range, as is found on a Cray.

Parameters
    SMALL

              SMALL is REAL
              On entry, the underflow threshold as computed by SLAMCH.
              On exit, if LOG10(LARGE) is sufficiently large, the square
              root of SMALL, otherwise unchanged.

    LARGE

              LARGE is REAL
              On entry, the overflow threshold as computed by SLAMCH.
              On exit, if LOG10(LARGE) is sufficiently large, the square
              root of LARGE, otherwise unchanged.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 73 of file slabad.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.